Subject: bug#69093: window-state-put doesn't update current buffer

From: martin rudalics <[email-masked]>
Date: Wed, 14 Feb 2024 10:12:04 +0100

> Martin, could you help to understand what is missing in
 > 'window-state-put' that it doesn't set the current buffer
 > correctly like 'set-window-configuration' does.

The "current buffer" is not part of the state of a window.  It is part
of a more global state.  Have a look at frameset.el which does at some
time "Restore selected frame, buffer and point."

As for what 'set-window-configuration' additionally does, have a look at
'current-window-configuration' where you can see that besides

   XSETBUFFER (data->f_current_buffer, current_buffer);

it also saves the selected frame, scroll and selected windows of that
frame's minibuffer or the frame that should receive input focus.

martin